[API Reference](../README.md) > [GetAgreementParams](../interfaces/GetAgreementParams.md)



# Interface: GetAgreementParams


## Properties
<a id="agreementId"></a>

### «Optional» agreementId

**●  agreementId**:  *`number`* 

*Defined in [wrappers/vestingScheme.ts:604](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/vestingScheme.ts#L604)*



Optional agreement Id




___

<a id="avatar"></a>

###  avatar

**●  avatar**:  *[Address](../#Address)* 

*Defined in [wrappers/vestingScheme.ts:600](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/vestingScheme.ts#L600)*



The address of the avatar




___


